/* eslint-disable */
module.exports = {
  // key为按钮所在的页面路径，对象为页面按钮
  // 客户列表
  myCustomerList: {
    // key为按钮code，数组为按钮数据
    // 按钮名称、是否受权限控制0否1是、是否增删改0跳转1是2其他、按钮跳转路径
    // 1.批量分配会员 （按钮，控制“批量分配会员”弹窗内所有操作权限）
    multipleAssign: ['批量分配', 1, 2],
    // 2.分配 （按钮，控制“分配会员”弹窗内所有操作权限）
    assign: ['分配', 1, 2],
  },
  memberTagSet: {
    willSyncTag: ['待开启同步标签', 1, 2],
    breakSyncTag: ['关闭同步', 1, 2]
  },
  // 客户展示设置
  memberShowSet: {
    // 1.特殊策略配置 （按钮，控制“新增特殊策略配置”弹窗内所有操作权限）
    addShowRules: ['新增特殊策略', 1, 0, 'addMemberShowRules'],
    // 2.编辑 （按钮，控制“修改特殊策略配置”弹窗内所有操作权限）
    editShowRules: ['编辑', 1, 0, 'editMemberShowRules'],
    // 3.删除 （按钮）
    delShowRules: ['删除', 1, 1]
  },
  memberGroupSet: {
    // 1.会员分组失效后不展示（按钮）
    groupExpire: ['客户分组列表-分组失效后不展示', 1, 2],
    // 2.立即同步（按钮）
    syncGroup: ['客户分组列表-立即同步', 1, 2],
    // 1.新建模板 （按钮，控制“客户分组设置”新建页面内所有操作权限）
    addGroupTemp: ['分组展示设置-新建模板', 1, 0, 'addGroupTemplate'],
    // 2.编辑 （按钮，控制“客户分组设置”修改页面内所有操作权限）
    editGroupTemp: ['分组展示设置-编辑', 1, 0, 'editGroupTemplate'],
    // 3.门店范围设置 （按钮，控制“门店范围设置”页面内所有操作权限）
    setStoreArea: ['分组展示设置-门店范围设置', 1, 0, 'storeRangeSet'],
    // 4.删除（按钮）
    delGroupTemp: ['分组展示设置-删除', 1, 1]
  },
  memberSearchSet: {
    // 1.保存（按钮）
    searchSetSave: ['保存', 1, 1]
  },
  // 会话任务
  // 1.新增会话任务设置 （按钮，控制“新增会话任务设置”页面内所有操作权限）
  trafficTaskSet: {
    saveTrafficTaskSet: ['保存', 1, 1]
  },
  cardList: {
    // 1.新增卡券 （按钮，控制“新增卡券”页面内所有操作权限）
    addCard: ['新增卡券', 1, 0, 'newCard'],
    // 2.编辑 （按钮，控制“修改卡券”页面内所有操作权限）
    editCard: ['编辑', 1, 0, 'editCard'],
    // 3.删除 （按钮）
    delCard: ['删除', 1, 1]
  },
  cardRecord: {
    // 1.发送记录 （按钮，控制“发送记录”弹窗内所有操作权限）
    sendCardLog: ['发送记录', 1, 2],
    // 2.领取记录 （按钮，控制“领取记录”弹窗内所有操作权限）
    getCardLog: ['领取记录', 1, 2]
  },
  'evaluate-set': {
    saveEvaluateSet: ['保存', 1, 1]
  },
  material: {
    addMaterialGroup: ['新建分组', 1, 1],
    editMaterialGroup: ['编辑分组', 1, 1],
    delMaterialGroup: ['删除分组', 1, 1],
    multipleDelAssets: ['批量删除', 1, 1],
    multipleMoveAssets: ['批量转移', 1, 2],
    // 1.新建文本 （按钮，控制“新建文本”弹窗内所有操作权限）；
    addText: ['文本-新建文本', 1, 1],
    // 2.编辑 （按钮，控制“编辑文本”弹窗内所有操作权限）；
    editText: ['文本-编辑', 1, 1],
    // 3.删除（按钮）
    delText: ['文本-删除', 1, 1],
    // 4.分配企业 （按钮，控制“分配企业”弹窗内所有操作权限）
    textAssignStore: ['文本-分配企业', 1, 2],
    // 1.新建图片 （按钮，控制“新建图片”弹窗内所有操作权限）；
    addImage: ['图片-新建图片', 1, 1],
    // 2.编辑 （按钮，控制“编辑图片”弹窗内所有操作权限）；
    editImage: ['图片-编辑', 1, 1],
    // 3.删除（按钮）
    delImage: ['图片-删除', 1, 1],
    // 4.分配企业 （按钮，控制“分配企业”弹窗内所有操作权限）
    imageAssignStore: ['图片-分配企业', 1, 2],
    // 1.新建网页 （按钮，控制“新建网页”弹窗内所有操作权限）；
    addWeb: ['网页-新建网页', 1, 1],
    // 2.编辑 （按钮，控制“编辑网页”弹窗内所有操作权限）；
    editWeb: ['网页-编辑', 1, 1],
    // 3.删除（按钮）
    delWeb: ['网页-删除', 1, 1],
    // 4.分配企业 （按钮，控制“分配企业”弹窗内所有操作权限）
    webAssignStore: ['网页-分配企业', 1, 2],
    // 1.新建视频 （按钮，控制“新建视频”弹窗内所有操作权限）；
    addVideo: ['视频-新建视频', 1, 1],
    // 2.编辑 制“编辑视频”弹窗内所有操作权限）；
    editVideo: ['视频-编辑', 1, 1],
    // 3.删除（按钮）
    delVideo: ['视频-删除', 1, 1],
    // 4.分配企业 （按钮，控制“分配企业”弹窗内所有操作权限）
    videoAssignStore: ['视频-分配企业', 1, 2],
    // 1.新建文件 （按钮，控制“新建文件”弹窗内所有操作权限）；
    addFile: ['文件-新建文件', 1, 1],
    // 2.编辑 （按钮，控制“编辑文件”弹窗内所有操作权限）；
    editFile: ['文件-编辑', 1, 1],
    // 3.删除（按钮）
    delFile: ['文件-删除', 1, 1],
    // 4.分配企业 （按钮，控制“分配企业”弹窗内所有操作权限）
    fileAssignStore: ['文件-分配企业', 1, 2],
    // 1.新建小程序 （按钮，控制“新建小程序”弹窗内所有操作权限）；
    addApps: ['小程序-新建小程序', 1, 1],
    // 2.编辑 （按钮，控制“编辑小程序”弹窗内所有操作权限）；
    editApps: ['小程序-编辑', 1, 1],
    // 3.删除（按钮）
    delApps: ['小程序-删除', 1, 1],
    // 4.分配企业 （按钮，控制“分配企业”弹窗内所有操作权限）
    appsAssignStore: ['小程序-分配企业', 1, 2],
  },
  goodsShowSet: {
    // 1.保存（按钮）
    saveGoodsSet: ['保存', 1, 1]
  },
  activeDetail: {
    // 1.活跃人员明细-导出（按钮）
    exportActiveUser: ['导出', 1, 2]
  },
  loginDetail: {
    // 2.登录人员明细-导出（按钮）
    exportLoginUser: ['导出', 1, 2]
  },
  areaLoginDetail: {
    // 3.区域登录明细-导出（按钮）
    exportAreaLoginUser: ['导出', 1, 2]
  },
  dailyRecord: {
    // 1.批量删除（按钮）
    multipleDelReport: ['批量删除', 1, 1],
    // 2.导出（按钮）
    exportReport: ['导出', 1, 2],
    // 3.查看详情（按钮，控制“云日报记录详情”页面权限）
    reportDetail: ['查看详情', 0, 0, 'dailyDetail']
  },
  dailyDetail: {
    // 4.云日报记录详情-批量删除（按钮）
    multipleDelReportDetail: ['批量删除', 1, 1],
    // 5.云日报记录详情-删除（按钮）
    delReportDetail: ['删除', 1, 1],
    // 6.云日报记录详情-预览（按钮）
    showReportDetail: ['预览', 1, 2]
  },
  dailyExport: {
    // 1.导出日报（按钮）
    multipleExportReport: ['导出日报', 1, 2]
  },
  taskAssign: {
    // 1.保存（按钮）
    saveTaskSet: ['保存', 1, 1]
  },
  // 云日报设置-系统报表
  'daily-setting': {
    // 1.模板设置（按钮，控制“模板设置”弹窗内所有操作权限）；
    settingSystemReport: ['系统报表-模板设置', 1, 2],
    // 2.保存并启用（按钮）
    saveSystemReport: ['系统报表-保存并启用', 1, 2],
    // 1.新建模板（按钮，控制“新建模板”页面内所有操作权限）；
    addCustomReport: ['自定义报表-新建模板', 1, 0, 'customReportSet'],
    // 2.复制（按钮，控制“新建模板”页面内所有操作权限）；
    copyCustomReport: ['自定义报表-复制', 1, 0, 'customReportCopy'],
    // 3.编辑（按钮，控制“编辑模板”页面内所有操作权限）；
    editCustomReport: ['自定义报表-编辑', 1, 0, 'customReportEdit'],
    // 4.删除（按钮）
    delCustomReport: ['自定义报表-删除', 1, 1]
  },
  monthList: {
    // 1.门店月指标 （按钮，控制“门店月指标”页面内所有操作权限）；
    monthTarget: ['门店月指标', 0, 0, 'storeMonthTask'],
    // 2.商户日权重 （按钮，控制“商户日权重月指标”页面内所有操作权限）；
    dayTarget: ['商户日权重', 1, 0, 'companyDaySet']
  },
  monthTask: {
    // 1.导出（按钮）
    exportMonthTask: ['导出', 1, 2],
    // 2.查看详情（按钮，控制“月指标任务详情”页面权限）
    checkMonthTask: ['查看详情', 0, 0, 'monthTaskDetail']
  },
  monthTaskDetail: {
    // 3.月指标任务详情-批量删除（按钮）
    multipleDelTask: ['批量删除', 1, 1],
    // 4.月指标任务详情-删除（按钮）
    delTask: ['删除', 1, 1]
  },
  grStoreList: {
    // 1.导出（按钮）
    exportStoreList: ['导出', 1, 2],
    // 2.查看详情（按钮，控制群发“任务详情”页面权限）
    checkStoreList: ['查看详情', 0, 0, 'grStoreDetail/:id']
  },
  'grStoreDetail/:id': {
    // 3.任务详情-导出（按钮）
    exportStoreDetail: ['导出', 1, 2],
    // 4.任务详情-详情（按钮，控制群发“完成详情”页面权限）
    checkStoreDetail: ['详情', 1, 2],
    // 5.任务详情-详情-导出（按钮）
    exportStoreDetailPop: ['详情弹窗导出', 1, 2],
    // 6.任务详情-预览（按钮，控制群发“预览详情”页面内所有操作权限）
    previewStoreDetail: ['预览', 1, 2]
  },
  grTaskList: {
    // 1.导出（按钮）
    exportGrTaskList: ['导出', 1, 2],
    // 2.查看详情（按钮，控制群发“任务门店详情”页面权限）
    checkGrTaskList: ['查看详情', 0, 0, 'grStoreList']
  },
  // 任务视图下的查看详情权限共用门店视图权限
  taskRecord: {
    // 1.导出（按钮）
    exportTaskRecord: ['导出', 1, 2],
    // 2.批量删除（按钮）
    multipleDelTaskRecord: ['批量删除', 1, 1],
    // 3.查看详情（按钮，控制话务任务“任务详情”页面权限）
    checkTaskRecord: ['查看详情', 0, 0, 'taskDetail']
  },
  taskDetail: {
    // 4.任务详情-导出（按钮）
    exportTaskDetail: ['导出', 1, 2],
    // 5.任务详情-批量删除（按钮）
    multipleDelTaskDetail: ['批量删除', 1, 1],
    // 6.任务详情-删除（按钮）
    delTaskDetail: ['删除', 1, 1],
    // 7.任务详情-完成详情（按钮，控制话务“完成详情”页面内所有操作权限）
    resolveTaskDetail: ['完成详情', 1, 2],
    // 8.任务详情-预览（按钮，控制话务“预览详情”页面内所有操作权限）
    previewTaskDetail: ['预览', 1, 2]
  },
  taskView: {
    // 1.导出（按钮）
    exportTaskView: ['导出', 1, 2],
    // 2.批量删除（按钮）
    multipleDelTaskView: ['批量删除', 1, 1],
    // 4.查看详情（按钮，控制话务“任务门店详情”页面权限）
    checkTaskView: ['查看详情', 0, 0, 'taskViewDetail']
  },
  taskViewDetail: {
    // 5.任务门店详情-导出（按钮）
    exportTaskViewDetail: ['导出', 1, 2],
    // 6.任务门店详情-批量删除（按钮）
    multipleDelTaskViewDetail: ['批量删除', 1, 1],
    // 查看详情按钮权限与门店视图中查看详情权限一致
    checkTaskDetail: ['查看详情', 0, 0, 'taskRecord']
  },
  salutatory: {
    // 1.新建欢迎语 （按钮，控制“新建欢迎语”页面内所有操作权限）；
    addSalutatory: ['新建欢迎语', 1, 0, 'salutatorySet'],
    // 2.编辑 （按钮，控制“编辑欢迎语”页面内所有操作权限）；
    editSalutatory: ['编辑', 1, 0, 'editSalutatorySet'],
    // 3.删除（按钮）
    delSalutatory: ['删除', 1, 1]
  },
  // 审核中心-待审核
  unreview: {
    // 1.批量同意（按钮）
    multipleResolve: ['批量同意', 1, 2],
    // 2.同意（按钮）
    singleResolve: ['同意', 1, 2],
    // 3.拒绝（按钮）
    singleReject: ['拒绝', 1, 2]
  },
  // 审核中心-审核设置
  reviewSet: {
    // 1.保存（按钮）
    saveApplySetting: ['保存', 1, 2]
  },
  contactsList: {
    // 1.刷新企业成员（按钮）
    refreshStoreMember: ['刷新企业成员', 1, 2],
    // 2.导出通讯录（按钮）
    exportContact: ['导出通讯录', 1, 2],
    // 3.查看详情（按钮，控制“关联详情”弹窗内所有操作权限）；
    checkContactDetail: ['查看详情', 1, 2],
    // 4.详情（按钮，控制“成员详情”弹窗内所有操作权限）；
    checkContactMemberDetail: ['详情', 1, 2]
  },
  syncLog: {
    checkLog: ['查看失败日志', 1, 2]
  },
  // 导购设置-导购操作权限设置
  // 保存（按钮）
  'guide-setting': {
    saveGuideSetting: ['导购操作权限设置-保存', 1, 1],
    saveAppsVisible: ['应用可见权限设置-保存', 1, 1],
  },
  enterpriseSet: {
    // 1.同步刷新（按钮）
    refreshStoreInfo: ['同步刷新', 1, 2],
    // 2.客户联系secret-保存（按钮）
    saveMemberSecret: ['客户联系secret-保存', 1, 1],
    // 3.会员小程序secret-新建（按钮，控制“会员小程序secret新建”弹窗内所有操作权限）；
    addMemberAppsSecret: ['会员小程序secret-新建', 1, 1],
    // 4.会员小程序secret-编辑（按钮，控制“会员小程序secret修改”弹窗内所有操作权限）；
    editMemberAppsSecret: ['会员小程序secret-编辑', 1, 1],
    // 5.会员小程序secret-删除（按钮）
    delMemberAppsSecret: ['会员小程序secret-删除', 1, 1],
    // 6.小程序添加-添加小程序（按钮，控制“添加小程序”弹窗内所有操作权限）；
    addAppsSecret: ['添加小程序', 1, 1],
    // 7.小程序添加-获取小程序（按钮，控制“获取小程序”弹窗内所有操作权限）；
    getAppsSecret: ['获取小程序', 1, 2],
    // 8.小程序添加-编辑（按钮，控制“编辑小程序”弹窗内所有操作权限）；
    editAppsSecret: ['编辑', 1, 1],
    // 9.小程序添加-删除（按钮）
    delAppsSecret: ['删除', 1, 1]
  },
  authMerchant: {
    // 1.查看授权设置（按钮，控制“查看授权商户”页面内所有操作权限）；
    checkAuth: ['查看授权设置', 1, 0, 'authMerchantForm'],
    // 2.绑定门店列表（按钮，控制“绑定门店列表”页面内所有操作权限）
    bindStoreList: ['绑定门店列表', 1, 0, 'merchantStoreList'],
    // 刷新门店
    refreshStore: ['刷新门店', 1, 2]
  },
  adminList: {
    // 1.刷新（按钮）
    refreshAdminList: ['刷新', 1, 2]
  }
  // 按钮名称、是否受权限控制0否1是、是否增删改0：跳转 1：增删改 2：其他、按钮跳转路径
}
